Subject: Re: [v6ops] draIn ft-ietf-v6ops-design-choices WGLC

From: Mark ZZZ Smith <[email-masked]>
Date: Sun, 12 Apr 2015 22:39:42 +0000 (UTC)

From: Ray Hunter <[email-masked]>
 To: Nick Hilliard <[email-masked]> 
Cc: "Ackermann, Michael" <[email-masked]>; Mark ZZZ Smith <[email-masked]>; Philip Matthews <[email-masked]>; Fred Baker (fred) <[email-masked]>; v6ops list <[email-masked]> 
 Sent: Sunday, 12 April 2015, 23:09
 Subject: Re: Re: [v6ops] draIn ft-ietf-v6ops-design-choices WGLC
   
Nick Hilliard wrote:
 On 10/04/2015 16:42, Ackermann, Michael wrote:
 
It seems that the advice to use Link Locals for next hop (or maybe even
to use them at all?),  is situationally dependent.

 Can you provide some concrete examples of where LLs are more appropriate
than GUAs for BGP NH, and why?  I'm genuinely struggling to see any advantage.

Nick

I have to say I'm with you. I only see disadvantages using LL for BGP: tied to specific interface, tied to specific hardware, slow reconvergence.

/ I think it is important to distinguish between eBGP and iBGP use cases. Some of the disadvantages of using LLs for iBGP would be advantages in eBGP.
/ I value predictability and robustness. Having a eBGP session very specifically tied to an interface tightly couples the eBGP session and the traffic for the prefixes that eBGP session is announcing. The small amount of extra effort required to change a session to a different interface creates further opportunity to catch errors. In some cases, the actual error might be minor, but the consequences of them can be very significant outages.
/ LLs don't have to be tied to specific hardware addresses, they can be statically set if this is a concern, and hopefully in the future, RFC7217 will be implemented for them in routers, as this is one of the specific use cases for them.
/ I don't understand the slow reconvergence concern. LLs as BGP next hops could only be used when the next hop is directly reachable on the router receiving the route, otherwise the next hop is unreachable (and will stay that way), which I think only makes LLs applicable to eBGP announced routes. If LLs are being used for the eBGP session, then ND would have already resolved the link layer address by the time the routes were received over the eBGP session. So I can't see where there would be a slow reconvergence when using LLs (where they can be used.)
/ Regards,Mark.